<?php

namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\DF\Services\InformacoesDePagamentoService;
use Doctrine\ORM\EntityManager;

class InformacoesDePagamentoController extends \Teknisa\DF\Controllers\TeknisaCrud{
    protected $infoPagamentoService;
    protected $entityManager;

    public function __construct(InformacoesDePagamentoService $paramInfoPagamentoService, EntityManager $entityManager){
        $this->infoPagamentoService = $paramInfoPagamentoService;
        $this->entityManager = $entityManager;
    }
    
   public function saveInfoPagamento(Request\Row $request, Response $response) {
       
        $row = $request->getRow();
        $this->infoPagamentoService->saveInfoPagamento($row);
    }
    
    public function deleteInfoPagamento(Request\Row $request, Response $response) {
       
        $row = $request->getRow();
        $this->infoPagamentoService->deleteInfoPagamento($row);
    }
    
    public function editaInfoPagamento(Request\Row $request, Response $response) {
       
        $row = $request->getRow();
        $this->infoPagamentoService->editaInfoPagamento($row);
    }
}

